import * as $dara from '@darabonba/typescript';
import { OpenSnapshotServiceResponseBody } from "./OpenSnapshotServiceResponseBody";
export declare class OpenSnapshotServiceResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: OpenSnapshotServiceResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
